Bug 115430 - yum search is case sensitive
yum search is case sensitive
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-12 08:20 EST by Xavier Bachelot
Modified: 2014-01-21 17:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-12 08:34:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2004-02-12 08:20:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
yum search is sometimes case sensitive.

for example 'yum search xfree' will return :

Available package: redhat-config-xfree86.noarch 0:0.9.15-1 from base
matches with
 redhat-config-xfree is a graphical user interface that allows the
user to configure their XFree86 Xserver.
Available package: redhat-config-xfree86.noarch 0:0.9.15-1 from base
matches with
 redhat-config-xfree86
2 results returned

and 'yum search XFree' will return :

Available package: XFree86-ISO8859-14-100dpi-fonts.i386 0:4.3.0-42
from base matches with
 XFree86-ISO8859-14-100dpi-fonts
Available package: XFree86-Xvfb.i386 0:4.3.0-42 from base matches with
 A virtual framebuffer X Windows System server for XFree86.
Available package: XFree86-Xvfb.i386 0:4.3.0-42 from base matches with
 XFree86-Xvfb
[...snip...]
Available package: XFree86-devel.i386 0:4.3.0-42 from base matches with
 XFree86-devel
Available package: redhat-config-xfree86.noarch 0:0.9.15-1 from base
matches with
 redhat-config-xfree is a graphical user interface that allows the
user to configure their XFree86 Xserver.
Available package: redhat-config-xfree86.noarch 0:0.9.15-1 from base
matches with
 A graphical interface for configuring XFree86

The expected result is the one given by 'yum search XFree'

Version-Release number of selected component (if applicable):
yum-2.0.4-2

How reproducible:
Always

Steps to Reproduce:
1. yum search xfree
2. yum search XFree 
3. compare 
    

Actual Results:  'yum search xfree' doesn't list all xfree packages 

Expected Results:  'yum search xfree' list all xfree packages, even if
the result contains some uppercase letters

Additional info:
Comment 1 Jeff Johnson 2004-02-12 08:34:02 EST
Most searches are case sensitive, at least by default.

UPSTREAM in case case insensitive flag like grep -i is
desired.

Note You need to log in before you can comment on or make changes to this bug.